Shifts
The shifts resource.
Basehttps://rest.carbon.ms/shifts
GET
/shiftsList shiftss
Retrieve a paginated list of shiftss. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/shifts
curl --request GET \
--url 'https://rest.carbon.ms/shifts?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"name": "Example",
"startTime": "string",
"endTime": "string",
"locationId": "xyz789",
"sunday": true,
"monday": true,
"tuesday": true
}
]GET
/shiftsRetrieve a shifts
Fetch a single shifts by filtering on `id`.
Query parameters
idstringMatch on the shifts's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/shifts
curl --request GET \
--url 'https://rest.carbon.ms/shifts?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"name": "Example",
"startTime": "string",
"endTime": "string",
"locationId": "xyz789",
"sunday": true,
"monday": true,
"tuesday": true
}